Loading...
Searching...
No Matches
Halide::Runtime::Internal::Vulkan::VulkanCompilationCacheEntry Struct Reference

`#include <vulkan_resources.h>`

## Public Attributes

VulkanMemoryAllocator * | allocator = nullptr
VulkanCompiledShaderModule ** | compiled_modules = nullptr
uint32_t | module_count = 0

## Detailed Description

Definition at line 69 of file vulkan_resources.h.

## Member Data Documentation

## allocator

VulkanMemoryAllocator* Halide::Runtime::Internal::Vulkan::VulkanCompilationCacheEntry::allocator = nullptr

Definition at line 70 of file vulkan_resources.h.

## compiled_modules

VulkanCompiledShaderModule** Halide::Runtime::Internal::Vulkan::VulkanCompilationCacheEntry::compiled_modules = nullptr

Definition at line 71 of file vulkan_resources.h.

## module_count

uint32_t Halide::Runtime::Internal::Vulkan::VulkanCompilationCacheEntry::module_count = 0

Definition at line 72 of file vulkan_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/vulkan_resources.h